%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:             weld-api
Version:          2.1
Release:          3%{?dist}
Summary:          Weld API
License:          ASL 2.0
URL:              http://seamframework.org/Weld
Source0:          https://github.com/weld/api/archive/%{namedversion}.tar.gz

BuildArch:        noarch

BuildRequires:    java-devel
BuildRequires:    bean-validation-api
BuildRequires:    maven-local
BuildRequires:    maven-compiler-plugin
BuildRequires:    maven-install-plugin
BuildRequires:    maven-jar-plugin
BuildRequires:    maven-javadoc-plugin
BuildRequires:    maven-surefire-provider-testng
BuildRequires:    cdi-api
BuildRequires:    jboss-servlet-3.0-api
BuildRequires:    jboss-interceptors-1.2-api
BuildRequires:    jboss-ejb-3.2-api
BuildRequires:    jboss-jsf-2.1-api
BuildRequires:    hibernate-jpa-2.0-api
BuildRequires:    geronimo-jta
BuildRequires:    geronimo-jpa
BuildRequires:    geronimo-annotation
BuildRequires:    weld-parent
BuildRequires:    geronimo-parent-poms
BuildRequires:    maven-plugin-build-helper

%description
Weld specifc extensions to the CDI API

%package javadoc
Summary:          Javadocs for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n api-%{namedversion}

%pom_remove_plugin ":maven-checkstyle-plugin" weld/pom.xml
%pom_remove_plugin ":maven-checkstyle-plugin" weld-spi/pom.xml

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}

%files javadoc -f .mfiles-javadoc

%changelog
* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 2.1-2
- Use Requires: java-headless rebuild (#1067528)

* Fri Jan 10 2014 Marek Goldmann <mgoldman@redhat.com> - 2.1-1
- Upstream release 2.1.Final

* Wed Oct 23 2013 Marek Goldmann <mgoldman@redhat.com> - 2.1-0.3.CR1
- Add bean-validation-api BR

* Wed Oct 23 2013 Mikolaj Izdebski <mizdebsk@redhat.com> - 2.1-0.2.CR1
- Rebuild to regenerate broken POM files
- Related: rhbz#1021484

* Tue Oct 22 2013 Marek Goldmann <mgoldman@redhat.com> - 2.1-0.1.CR1
- Upstream release 2.1.CR1

* Thu Jul 04 2013 Marek Goldmann <mgoldman@redhat.com> - 2.0-1
- Upstream release 2.0.SP1
- New guidelines

* Tue Feb 19 2013 Marek Goldmann <mgoldman@redhat.com> - 1.1-7
- Added geronimo-parent-poms BR
- Using geronimo-jta

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 1.1-5
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sun Apr 01 2012 Marek Goldmann <mgoldman@redhat.com> 1.1-3
- Fixed jar naming

* Tue Mar 27 2012 Marek Goldmann <mgoldman@redhat.com> 1.1-2
- Fixed BR

* Wed Mar 14 2012 Marek Goldmann <mgoldman@redhat.com> 1.1-1
- Initial packaging

